import * as repl from 'repl';
import db from '../core/db';
import WikidotPage from '../models/wikidot-page';
import WikidotUser from '../models/wikidot-user';
import AccessToken from '../models/access-token';
import BanRecord from '../models/ban-record';

export default function runConsole() {
    const context = {db, WikidotPage, WikidotUser, AccessToken, BanRecord};
    const replServer = repl.start();
    replServer.context = Object.assign(replServer.context, context);
}
