import db from '../core/db';

export const PAGE_NAME_REGEXP = /^([A-Za-z_0-9-]+)$/;

export default class WikidotPage {
    static findByName(wiki: string, name: string) {
        return db.one(`
            SELECT * FROM wikidot_pages WHERE wiki_name = $(wiki) AND name = $(name);
        `, {wiki, name})
    }
}
