"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const repl = require("repl");
const db_1 = require("../core/db");
const wikidot_page_1 = require("../models/wikidot-page");
const wikidot_user_1 = require("../models/wikidot-user");
const access_token_1 = require("../models/access-token");
const ban_record_1 = require("../models/ban-record");
function runConsole() {
    const context = { db: db_1.default, WikidotPage: wikidot_page_1.default, WikidotUser: wikidot_user_1.default, AccessToken: access_token_1.default, BanRecord: ban_record_1.default };
    const replServer = repl.start();
    replServer.context = Object.assign(replServer.context, context);
}
exports.default = runConsole;
//# sourceMappingURL=console.js.map